## Index

### Enumerations

- RouteSuffix

### Classes

- AuthenticationService

### Variables

- default

### Functions

- setOnSuccessfulLoginFunction

## Variables

### Const default

default: AuthenticationService = ...

- Defined in src/auth/service.ts:359

## Functions

### setOnSuccessfulLoginFunction

- setOnSuccessfulLoginFunction(fn: ((user: User) => User)): void

- - Defined in src/auth/service.ts:42

  Method defined in the aim to be overridden.

  #### Parameters

  - ##### fn: ((user: User) => User)

    The callback function to apply after login.

    - - (user: User): User

      - #### Parameters

        - ##### user: User

        #### Returns User

  #### Returns void

Generated using TypeDoc